%define upstream_name    IO-Detect
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Is this a frickin' filehandle or what?!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::file)
BuildArch: noarch

%description
It is stupidly complicated to detect whether a given scalar is a filehandle
(or something filehandle like) in Perl. This module attempts to do so, but
probably falls short in some cases. The primary advantage of using this
module is that it gives you somebody to blame (me) if your code can't
detect a filehandle.

The main use case for IO::Detect is for when you are writing functions and
you want to allow the caller to pass a file as an argument without being
fussy as to whether they pass a file name or a file handle.

Functions
    Each function takes a single argument, or if called with no argument,
    operates on '$_'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README SIGNATURE LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 368484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 304101
- imported package perl-IO-Detect

